<?session_start();
include('checkcookie.php'); ?>
<h3>Пробуждение пользователей</h3>
<br>
<?
if($_SESSION["ub"]<=0 or $_POST["otmena"]!=""){
	unset($_SESSION["dni"]);
	unset($_SESSION["nazad"]);
	unset($_SESSION["chis"]);
	unset($_SESSION["ub"]);
	unset($_SESSION["ob"]);
	$chislo=0;
}

if(isset($_POST["dni"])){
  $_SESSION["dni"] = time() - ($_POST["dni"]*86400);
  $_SESSION["nazad"] = time() - ($_POST["nazad"]*86400);
  $_SESSION["chis"] = intval($_POST["chis"]);
}

if(isset($_SESSION["dni"])){
  $user_ch = mysql_num_rows(mysql_query("SELECT `lastlogdate` FROM `tb_users` WHERE UNIX_TIMESTAMP(lastlogdate) < '".$_SESSION["dni"]."' and probu=0 and system=0"));
  if(!isset($_SESSION["ob"])){$_SESSION["ob"] = $user_ch;}
  $chislo = $_SESSION["ob"];
  if(!isset($_SESSION["ub"])){
	$_SESSION["ub"]=$chislo;
  }else{
  	$_SESSION["ub"]= $_SESSION["ub"]-$_SESSION["chis"];
  }
require_once("../_ap.php");
$user_ch = mysql_query("SELECT * FROM `tb_users` WHERE UNIX_TIMESTAMP(lastlogdate) < '".$_SESSION["dni"]."' and probu=0 and system=0 LIMIT ".$_SESSION["chis"]."");
while ($row = mysql_fetch_array($user_ch))
{
	mysql_query("UPDATE `tb_users` SET `probu` = '".time()."' WHERE `id` = '".$row["id"]."'");

          $receiverwmid=$row["wmid"];
          $msgsubj='Пробуждение';
		  $msgtext="Доброе время суток, уважаемый пользователь almazz-bux.info!\n\n Вы давно не были у нас на проекте, у нас много новых изминений =) У нас ряд активных конкурсов. \n Просмотреть данные о конкурсе можно на этой странице http://almazz-bux.info/competition.php \n\n*Это автоматическое информационное сообщение, отвечать на него необязательно*";
		    $response = $wmxi->X6(
			$receiverwmid,
			trim($msgsubj),
			trim(str_replace("\r", "", $msgtext))
			);
		  $structure = $parser->Parse($response, DOC_ENCODING);
		  $transformed = $parser->Reindex($structure, true);
}
$proc = round(100 - ($_SESSION["ub"]*100/$chislo),1);
?>
<script>function showchat()
{
location.replace("");
}
</script>
<div align="center">
<div style="width:500px;" align="left">
  <div align="left">
    <b>Всего будет отправлено:</b> <font style="color:#0000dd"><?=$chislo?></font>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <b>Отправлено писем:</b> <font style="color:#0000dd"><?=$chislo - $_SESSION["ub"];?></font>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <b>Осталось:</b> <font style="color:#0000dd"><?=$_SESSION["ub"];?></font>
  </div>
</div>
<div style="width:500px;border:1px solid #000;" align="left">
   <div style="width: <?if($proc>100 or $proc < 0){echo "100";}else{echo $proc;}?>%; background:#D6D6D6;">
     <div style="position: relative;left:245px;width:35px;">
       <b style="color:#ff0000;"><?if($proc>100 or $proc < 0){echo "100";}else{echo $proc;}?> %</b>
     </div>
   </div>
</div><br>
<form name="" action="" method="post">
<input name="otmena" type="hidden" value="1">
<input type="submit" value="Отмена пробуждение">
</form>
</div>
<script>setInterval('showchat()',10000);</script>
<?}
if($chislo==0){?>
<form action="" method=post>
<div align="center"><b>Выберите данные:</b><br>
<table style="width:480px;">
<tr>
<td><b>Сколько пользователь не входил в аккаунт (в днях):</b><br>
<input name="dni" type="radio" value="5" checked> 5
<input name="dni" type="radio" value="10"> 10
<input name="dni" type="radio" value="15"> 15
<input name="dni" type="radio" value="20"> 20
<input name="dni" type="radio" value="25"> 25
<input name="dni" type="radio" value="30"> 30
<input name="dni" type="radio" value="35"> 35
<input name="dni" type="radio" value="40"> 40
<input name="dni" type="radio" value="45"> 45
<input name="dni" type="radio" value="50"> 50
<input name="dni" type="radio" value="55"> 55
<input name="dni" type="radio" value="60"> 60
</td></tr>
<tr><td>
<b>Отправлять повторно если даже отправляли (... дней назад):</b><br>
<input name="nazad" type="radio" value="3" checked> 3
<input name="nazad" type="radio" value="5"> 5
<input name="nazad" type="radio" value="7"> 7
<input name="nazad" type="radio" value="10"> 10
<input name="nazad" type="radio" value="12"> 12
<input name="nazad" type="radio" value="15"> 15
<input name="nazad" type="radio" value="17"> 17
<input name="nazad" type="radio" value="20"> 20
<input name="nazad" type="radio" value="22"> 22
<input name="nazad" type="radio" value="25"> 25
<input name="nazad" type="radio" value="27"> 27
<input name="nazad" type="radio" value="30"> 30
</td></tr>
<tr><td>
<b>По сколько пробуждать за сеанс:</b><br>
<input name="chis" type="radio" value="10"> 10
<input name="chis" type="radio" value="20"> 20
<input name="chis" type="radio" value="30" checked> 30
<input name="chis" type="radio" value="40"> 40
<input name="chis" type="radio" value="50"> 50
<input name="chis" type="radio" value="60"> 60
<input name="chis" type="radio" value="70"> 70
<input name="chis" type="radio" value="100"> 100
<input name="chis" type="radio" value="200"> 200
<input name="chis" type="radio" value="400"> 400
<input name="chis" type="radio" value="500"> 500
</td></tr>
<tr><td align="center" colspan=4>
<div align="center">
<input type="submit" value="Пробудить пользователей"></div>
</td></tr></table></div>
</form>
<?}?>
